
# English language headers for the contracts file (NT00444_OPVARENDEN)
contract_headers_en = [
    'full_name',
    'first_name',
    'patronymic',
    'family_name_prefix',
    'family_name',
    'place_of_origin',
    'rank_nl',
    'rank',
    'rank_de',
    'task_nl',
    'task',
    'task_de',
    'date_begin_service',
    'date_end_service',
    'location_end_contract_nl',
    'location_end_contract',
    'location_end_contract_de',
    'reason_end_contract_nl',
    'reason_end_contract',
    'reason_end_contract_de',
    'description_end_service_nl',
    'description_end_service',
    'description_end_service_de',
    'ship_outward',
    'month_letter',
    'debt_letter',
    'remark',
    'changed_ship_at_cape',
    'changed_ship_at_cape_ship_name',
    'changed_ship_at_cape_chamber',
    'ship_return',
    'chamber_return',
    'das_voyage_number_return_journey',
    'return_journey_remarks',
    'return_journey_info_huygens_ing',
    'return_journey_departure_date',
    'return_journey_cape_arrival_date',
    'return_journey_cape_departure_date',
    'return_journey_arrival_date',
    'source_id',
    'beneficiary_id',
    'archival_reference',
    'uid',
    'scan',
    'handle',
    'vocop_id'
]

contract_headers_processed = [
    "vocop_id",
    "full_name",
    "first_name",
    "patronymic",
    "family_name_prefix",
    "family_name",
    "place_of_origin",
    "place_id",
    "disambiguated_person",
    "person_cluster_id",
    "person_cluster_multi_voyage",
    "person_cluster_row",
    "rank",
    "rank_id",
    "wage",
    "debt_letter",
    "month_letter",
    "date_begin_contract",
    "date_end_contract",
    "contract_length",
    "reason_end_contract",
    "could_muster_again",
    "location_end_contract",
    "outward_voyage_id",
    "changed_ship_at_cape",
    "changed_ship_at_cape_voyage_id",
    "return_voyage_id",
    "remark",
    "source_id",
    "scan_permalink",
    "full_name_normalized",
    "first_name_normalized",
    "patronymic_normalized",
    "family_name_prefix_normalized",
    "family_name_normalized"
]


# English language headers for the voyages file (NT00444_SOLDIJBOEKEN)
voyages_headers_en = [
    "source_id",
    "ship_name",
    "chamber",
    "destination",
    "das_voyage_num",
    "date_departure",
    "date_arrival_cape",
    "date_departure_cape",
    "date_arrival",
    "remarks",
    "crew",
    "data_huygens_ing",
    "inventory_number",
    "archival_reference",
    "uid"
]


# English language headers for the processed voyages
voyages_headers_processed = [
    'source_id',
    'ship_name',
    'chamber',
    'source_type',
    'das_voyage_id',
    'remarks',
    'archival_reference',
    'uid'
]


# English language headers for the beneficiaries file (NT00444_BEGUNSTIGDEN)
beneficiaries_headers = [
    'beneficiary_id',
    'full_name',
    'first_name',
    'patronymic',
    'family_name_prefix',
    'family_name',
    'place_of_origin',
    'relation',
    'remark',
    'vocop_id',
    'uid'
]

contract_headers_nl = [
    "VolledigeNaam",
    "Voornaam",
    "Patroniem",
    "Tussenvoegsel",
    "Achternaam",
    "PlaatsHerkomst",
    "Rang",
    "RangEn",
    "RangDe",
    "Omschrijving",
    "OmschrijvingEn",
    "OmschrijvingDe",
    "DatumInDienst",
    "DatumUitDienst",
    "UitDienstPlaats",
    "UitDienstPlaatsEn",
    "UitDienstPlaatsDe",
    "RedenUitDienst",
    "RedenUitDienstEn",
    "RedenUitDienstDe",
    "OmschrijvingUitDienst",
    "OmschrijvingUitDienstEn",
    "OmschrijvingUitDienstDe",
    "UitgevarenSchip",
    "Maandbrief",
    "Schuldbrief",
    "Opmerking",
    "OpgestaptKaap",
    "OpgestaptKaapSchip",
    "OpgestaptKaapKamer",
    "SchipTerugReis",
    "KamerTerugReis",
    "DASnummerTerugreis",
    "OpmerkingenTerugreis",
    "InformatieTerugreisBijING",
    "TerugReisDatumVertrek",
    "TerugReisAankomstKaap",
    "TerugReisVertrekKaap",
    "TerugReisAankomst",
    "Soldijboek",
    "Begunstigde",
    "Bronverwijzing",
    "uid",
    "scan",
    "handle",
    "vocop_id"
]


